Difference between revisions of "NetBSD"

From sigrok
Jump to: navigation, search
(NetBSD)
 
m
Line 11: Line 11:
 
=== libsigrok ===
 
=== libsigrok ===
  
'''Requirements:'''
+
'''Installing the [[Building#Build_requirements|requirements]]:'''
 
 
* git
 
* gcc >= 4.0
 
* autoconf >= 2.63
 
* automake >= 1.11
 
* libtool
 
* pkg-config >= 0.22
 
* libglib >= 2.28.0
 
* libusb-1.0 >= 1.0.9
 
* libzip >= 0.8
 
* libftdi >= 0.16
 
 
 
'''Installing the requirements:'''
 
  
 
  $ '''pkg_add scmgit autoconf automake libtool pkg-config glib2 libzip libftdi libusb1'''
 
  $ '''pkg_add scmgit autoconf automake libtool pkg-config glib2 libzip libftdi libusb1'''
Line 39: Line 26:
 
=== libsigrokdecode ===
 
=== libsigrokdecode ===
  
'''Requirements:'''
+
'''Installing the [[Building#Build_requirements|requirements]]:'''
 
 
* git
 
* gcc >= 4.0
 
* autoconf >= 2.63
 
* automake >= 1.11
 
* libtool
 
* pkg-config >= 0.22
 
* libglib >= 2.24.0
 
* Python >= 3.0
 
 
 
'''Installing the requirements:'''
 
  
 
  $ '''pkg_add scmgit autoconf automake libtool pkg-config glib2 python32'''
 
  $ '''pkg_add scmgit autoconf automake libtool pkg-config glib2 python32'''
Line 65: Line 41:
 
=== sigrok-cli ===
 
=== sigrok-cli ===
  
'''Requirements:'''
+
'''Installing the [[Building#Build_requirements|requirements]]:'''
 
 
* git
 
* gcc >= 4.0
 
* autoconf >= 2.63
 
* automake >= 1.11
 
* libtool
 
* pkg-config >= 0.22
 
* libglib >= 2.28.0
 
* libsigrok >= 0.2.0
 
* libsigrokdecode >= 0.1.0
 
 
 
'''Installing the requirements:'''
 
  
 
  $ '''pkg_add scmgit autoconf automake libtool pkg-config glib2'''
 
  $ '''pkg_add scmgit autoconf automake libtool pkg-config glib2'''

Revision as of 19:15, 2 February 2013

This page describes how to build/install sigrok on NetBSD.

The instructions were tested on NetBSD 6.0.1, older versions may or may not have the required libs/versions to build sigrok.

Distribution packages

There are no NetBSD packages/ports yet, contributors welcome!

Building

libsigrok

Installing the requirements:

$ pkg_add scmgit autoconf automake libtool pkg-config glib2 libzip libftdi libusb1

Building:

$ git clone git://sigrok.org/libsigrok
$ cd libsigrok
$ ./autogen.sh
$ ./configure
$ make
$ make install

libsigrokdecode

Installing the requirements:

$ pkg_add scmgit autoconf automake libtool pkg-config glib2 python32

Building:

$ git clone git://sigrok.org/libsigrokdecode
$ cd libsigrokdecode
$ ./autogen.sh
$ ./configure
$ make
$ make install

sigrok-cli

Installing the requirements:

$ pkg_add scmgit autoconf automake libtool pkg-config glib2

Building:

$ git clone git://sigrok.org/sigrok-cli
$ cd sigrok-cli
$ ./autogen.sh
$ ./configure
$ make
$ make install